<ng-container *ngIf="vm$ | async as vm">
<div class="container">
	<div class="row p-1 mt-1">
		<div class="col">
			<div class="row p-2 bg-secondary-lightest border rounded pet-glow-secondary" *ngIf="vm.editState.prodEditStage === 1 else stage1">
				<app-first-stage-form class="col" [id]="vm.prod.id" [fsDto]="vm.prod.fsDto"></app-first-stage-form>
			</div>

			<ng-template #stage1>
			<div class="row p-2 bg-cool-white border rounded pet-glow-primary">
				<app-first-stage-view class="col" [id]="vm.prod.id" [fsDto]="vm.prod.fsDto" [editing]="true"></app-first-stage-view>
			</div>
			</ng-template>

			<hr>

			<div class="row p-2 bg-secondary-lightest border rounded pet-glow-secondary" 
				*ngIf="vm.editState.prodEditStage === 2 || vm.editState.prodEditType === 'NEW' && vm.prod._stage === 1 else stage2">
				<app-second-stage-form class="col" [editType]="vm.editState.prodEditType" [id]="vm.prod.id" [ssDto]="vm.prod.ssDto"> </app-second-stage-form>
			</div>

			<ng-template #stage2>
			<div class="row p-2 bg-cool-white border rounded pet-glow-primary" *ngIf="vm.prod._stage > 1">
				<app-second-stage-view class="col" [id]="vm.prod.id" [ssDto]="vm.prod.ssDto" [editing]="true"></app-second-stage-view>
			</div>
			</ng-template>

			<hr>

			<div class="row p-2 bg-secondary-lightest border rounded pet-glow-secondary" 
				*ngIf="vm.editState.prodEditStage === 3 || vm.editState.prodEditType === 'NEW' && vm.prod._stage === 2 else stage3">
				<app-third-stage-form class="col" [editType]="vm.editState.prodEditType" [id]="vm.prod.id" [tsDto]="vm.prod.tsDto"></app-third-stage-form>
			</div>

			<ng-template #stage3>
			<div class="row p-2 bg-cool-white border rounded pet-glow-primary" *ngIf="vm.prod._stage > 2">
				<app-third-stage-view class="col" [tsDto]="vm.prod.tsDto"></app-third-stage-view>
			</div>
			</ng-template>
		</div>
	</div>
</div>
</ng-container>
